@import "color";

//目次
@mixin index-layout{
  margin:0 auto;
  padding:10px;
  width:90%;
  margin-top: 20px;
  //margin-left: 5%;
  //margin-right:5%;
  //border:1px solid #000000;
  border-radius: 3px;
  background-color:$color-darkgray;
  color:$color-white;
  ul#index_style{
    li{
      margin-left: 0px;
      line-height: 2;
    }
    ul.semiIndex_style{
      li{
        margin-left: 20px;
        line-height: 2;
      }
    }
  }
}


.content_blocks{
  //margin: 0 auto;
  //width:95%;
	h3.content-title{
		margin: 0 auto;
		width: 90%;
		font-size: 120%;
		font-weight: bold;
		margin-bottom: 10px;
	}
	h4.content-stepTitle{
		margin: 0 auto;
		width: 90%;
		font-size: 120%;
		font-weight: bold;
		margin-bottom: 10px;
	}
	h5.title_subStyle{
		background-color:$color-white;
		padding:4px;
		padding-left: 8px;
		margin: 0 auto;
		width: 90%;
    font-size: 85%;
		margin-bottom: 10px;
	}
  p.content_text{
    margin: 0 auto;
    width: 90%;
    font-size: 100%;
    line-height: 1.8;
    margin-bottom: 10px;
  }
}

//コラム
section#section-column{
  background-color: $color-gray;
  margin: 0 auto;
  width:90%;
  border-radius: 5px;
  h2#column-title{
    font-family: 'DINNextLTPro-Bold', sans-serif;
    font-size: 150%;
    text-align: center;
    padding: 20px;
    line-height: 1;
    text-transform: uppercase;
  }
  h3#cloumn-mainTitle{

  }
  div.column-blocks{
    h3.column-number{
      font-size: 180%;
      text-align: center;
      padding: 20px;
      line-height: 1;
      color:GREEN;
    }
    p.column-text{
      margin: 0 auto;
      width:90%;
      color:RED;
    }
  }
}

//コラム
section#section-check{
  background-color: $color-gray;
  margin: 0 auto;
  width:90%;
  //border-radius: 5px;
  h2#check-title{
    font-family: 'DINNextLTPro-Bold', sans-serif;
    font-size: 150%;
    text-align: center;
    padding: 20px;
    line-height: 1;
    text-transform: uppercase;
  }
  h3#check-mainTitle{

  }
  li.section-Title{
    margin:0;
    padding:0;
    div.check-listContent{
      position: relative;
      .check-sectionImg{
        position: relative;
        display: flex;
        margin:0;
        //padding:5%;
        //float: left;
        width:100%;
        height:120px;
        object-fit: cover;
        background: rgba(0, 0, 0, 0.3);
        img{
          width:100%;
          height:auto;
          object-fit: cover;
          //mix-blend-mode: overlay;
          mix-blend-mode: multiply;
        }
      }
      .seclist-blocks{
        position: absolute;
        top:10px;
        left: 20px;
        vertical-align: middle;
        h3.check-enTitle{
          font-family: 'DINNextLTPro-Bold', sans-serif;
          text-transform: uppercase;
          font-size: 230%;
          text-decoration: underline;
          text-align: left;
          color:$color-white;
        }
        h2.check-jpTitle{
          font-weight: bold;
          font-size: 120%;
          color:$color-white;
        }
      }
    }
  }
}

//イラストコメント
.illust-comment {
  position: relative;
  //display: inline-block;
	margin: 0 auto;
  //margin: 1.5em 0;
  padding: 7px 10px;
  //min-width: 120px;
  width: 100%;
  //color: #555;
  //font-size: 16px;
  background: $color-lightgray;
  border: solid 3px $color-darkgray;
  border-top: solid 0px $color-darkgray;
  box-sizing: border-box;
}

.illust-comment:before {
  content: "";
  position: absolute;
  bottom: -24px;
  left: 50%;
  margin-left: -15px;
  border: 12px solid transparent;
  border-top: 12px solid $color-lightgray;
  z-index: 2;
}

.illust-comment:after {
  content: "";
  position: absolute;
  bottom: -30px;
  left: 50%;
  margin-left: -17px;
  border: 14px solid transparent;
  border-top: 14px solid $color-darkgray;
  z-index: 1;
}
.illust-comment p {
  margin: 0;
  padding: 0;
}

figure.content_fig{
  //border: 1px solid #EAEAEA ;
  //background-color: #EAEAEA;
  margin-top: 10px;
  margin-bottom: 20px;
  //padding:5px;
  img.refer-image{
    width:100%;
    height:auto;
    //mix-blend-mode: color-burn; /*値を変更すれば様々な効果を与えられます*/
    margin-bottom: 5px;
  }
  figcaption{
    margin:0 auto;
    width: 90%;
    font-size: 85%;
  }
}

figure.column_fig{
  margin-top: 10px;
  margin-bottom: 20px;
  margin: 0 auto;
  text-align: center;
  //padding:5px;
  img.refer-image{
    margin: 0 auto;
    width:95%;
    height:auto;
    //mix-blend-mode: color-burn; /*値を変更すれば様々な効果を与えられます*/
    margin-bottom: 5px;
  }
  figcaption{
    margin:0 auto;
    width: 90%;
    font-size: 85%;
  }
}

.iframeContainer{
  //height:100%;
  .iframeBlock{
    //height:100%;

  }
}

iframe{
  border:none;
  width:100%;
  //height:100%;
  padding:0;
  margin:0;
  margin-top: 15px;
	margin-bottom: 5px;
}


.caption_text{
	margin:0 auto;
	width: 90%;
  font-size: 90%;
	//margin-bottom: 20px;
}

span.text_bold{
  font-weight: bold;
}

span.text_yellow{
  background-color:$color-ruby;
}
